#!/bin/bash
for f in cleanup/names/manual-check/nametestsample?.txt; do echo $f; perl -ne 'chomp; if (/^(\d+\.\d+) (VALID|invalid +(\d+))/) { $e{$1} = ($2 eq "VALID" ? undef : $3) } elsif (/^\s*\|\s*(\d+\.\d+) \| namecount (\d*)/) { $f{$1} = $2 || 0 } END { foreach $fid (keys %e) { $n++; if (defined $e{$fid}) { $over += ($f{$fid}-$e{$fid}) if $e{$fid}<$f{$fid}; $under += $e{$fid}-$f{$fid} if $e{$fid} > $f{$fid}; $sqerr += ($f{$fid}-$e{$fid})**2 } } printf "N %d over %d under %d mean squared error %.4f mean absolute error %.4f standard error %.4f\n", $n, $over, $under, $sqerr/$n, ($over+$under)/$n, sqrt($sqerr/$n) }' $f*; done

